from Cython.Build import cythonize
from setuptools import Extension, setup

extensions = [

    Extension("local_push", ["./local_push.pyx"]),
    Extension("checker", ["./checker.pyx"]),
    Extension("cfe_generator", ["./cfe_generator.pyx"]),
    Extension("grapher", ["./grapher.pyx"]),

    Extension("swapOrder", ["./swapOrder.pyx"]),
    Extension("sample", ["./sample.pyx"]),

]
setup(
    ext_modules=cythonize(extensions, annotate=True),
)